#!/bin/sh
echo Mojave major update patch tool & red badge remover v2.0 by Informatique Service
# Restore softwareupdate --ignore "macOS Big Sur"
# Remove red badge on Software Update on system Preferences
# Remove red badge on system Preferences and relaunch the Dock.
sudo softwareupdate --ignore "macOS Big Sur"
sudo defaults delete /Library/Preferences/com.apple.SoftwareUpdate.plist LastRecommendedMajorOSBundleIdentifier
defaults delete com.apple.preferences.softwareupdate LatestMajorOSSeenByUserBundleIdentifier
defaults write com.apple.systempreferences AttentionPrefBundleIDs 0
killall Dock
echo Done, the volume is now patched for ignore Big Sur
exit 0

# Updated on November 13, 2020 by Informatique Service.